- [HTTP request](https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations.attributes/getExtended#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations.attributes/getExtended#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations.attributes/getExtended#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations.attributes/getExtended#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations.attributes/getExtended#body.ExtendedAttributes.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations.attributes/getExtended#body.aspect)
- [ExtendedAttribute](https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations.attributes/getExtended#ExtendedAttribute)
  - [JSON representation](https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations.attributes/getExtended#ExtendedAttribute.SCHEMA_REPRESENTATION)

Returns the specified attributes with extended metadata. This includes both the merchant-provided data and the consumer-facing view, which may differ. It also includes metadata describing the current state of edits on each attribute, its origin source, and rejection details.

### HTTP request

`GET https://mybusinessbusinessinformation.googleapis.com/v1alpha/{name=locations/*/attributes}:getExtended`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Google identifier for this location in the form of `locations/{locationId}/attributes`. |

### Request body

The request body must be empty.

### Response body

Response message for AttributesService.GetExtendedAttributes.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "name": string, "extendedAttributes": [ { object (`https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations.attributes/getExtended#ExtendedAttribute`) } ] } ``` |

| Fields ||
|---|---|
| `name` | `string` Output only. Google identifier for this location in the form of `locations/{locationId}/attributes`. |
| `extendedAttributes[]` | ``object (`https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations.attributes/getExtended#ExtendedAttribute`)`` Output only. The attributes with extended metadata. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## ExtendedAttribute

Represents an attribute along with its edit metadata and current serving state.

| JSON representation |
|---|
| ``` { "attributeProvidedByMerchant": { object (`https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/Attribute`) }, "attributeSeenByConsumers": { object (`https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/Attribute`) }, "extendedFieldData": { object (`https://developers.google.com/my-business/reference/businessinformation/rest/Shared.Types/ExtendedFieldData`) } } ``` |

| Fields ||
|---|---|
| `attributeProvidedByMerchant` | ``object (`https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/Attribute`)`` Output only. The underlying attribute data managed by the merchant. |
| `attributeSeenByConsumers` | ``object (`https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/Attribute`)`` Output only. The attribute data currently visible to consumers on Google Maps and Search. |
| `extendedFieldData` | ``object (`https://developers.google.com/my-business/reference/businessinformation/rest/Shared.Types/ExtendedFieldData`)`` Output only. Detailed edit status and metadata for this specific attribute. |